TikTok Shop

Affiliate order lines, one per order and SKU, newest first

GET/api/public/v1/tik_tok_shop/affiliate/order_lines
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id listTikTokShopAffiliateOrderLines

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/affiliate/order_lines?start_date=2026-11-01&end_date=2026-11-01" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
start_datequerystringrequired
end_datequerystringrequired
creator_usernamequerystring
target_collaboration_idquerystring
refundsquerystringOne of includeonlyexclude Default include
limitqueryinteger Default 100
cursorquerystring
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
countsobject, nullable
counts.fullyReturnednumber, nullable
counts.ineligiblenumber, nullable
counts.linesnumber, nullable
counts.refundLinesnumber, nullable
countsStatusstring, nullable
linesarray of object, nullable
lines[].[].actualPaidCommissionnumber, nullable
lines[].[].campaignId, nullable
lines[].[].cofundedCreatorBonusobject, nullable
lines[].[].cofundedCreatorBonus.actual, nullable
lines[].[].cofundedCreatorBonus.estimated, nullable
lines[].[].commissionBaseobject, nullable
lines[].[].commissionBase.actualnumber, nullable
lines[].[].commissionBase.estimatednumber, nullable
lines[].[].commissionDeltanumber, nullable
lines[].[].commissionModel, nullable
lines[].[].commissionRatenumber, nullable
lines[].[].commissionTierSetting, nullable
lines[].[].contentobject, nullable
lines[].[].content.formatstring, nullable
lines[].[].content.postedAtstring, nullable
lines[].[].content.urlstring, nullable
lines[].[].content.viewCountnumber, nullable
lines[].[].contentIdstring, nullable
lines[].[].contentTypestring, nullable
lines[].[].creatorUsernamestring, nullable
lines[].[].currencystring, nullable
lines[].[].deliveryTimestring, nullable
lines[].[].estimatedPaidCommissionnumber, nullable
lines[].[].fullyReturnboolean, nullable
lines[].[].gmvGrossnumber, nullable
lines[].[].openCollaborationId, nullable
lines[].[].orderCreateTimestring, nullable
lines[].[].orderIdstring, nullable
lines[].[].paidPartnerCommissionobject, nullable
lines[].[].paidPartnerCommission.actual, nullable
lines[].[].paidPartnerCommission.estimated, nullable
lines[].[].paidShopAdsCommissionobject, nullable
lines[].[].paidShopAdsCommission.actual, nullable
lines[].[].paidShopAdsCommission.estimated, nullable
lines[].[].partnerCommissionRate, nullable
lines[].[].priceAmountnumber, nullable
lines[].[].productIdstring, nullable
lines[].[].productTitlestring, nullable
lines[].[].quantitynumber, nullable
lines[].[].refundboolean, nullable
lines[].[].settlementFinalboolean, nullable
lines[].[].settlementStatusstring, nullable
lines[].[].shopAdsCommissionRate, nullable
lines[].[].skuIdstring, nullable
lines[].[].targetCollaborationIdstring, nullable
nextCursorstring, nullable
settlementNotestring, nullable
sweptThroughstring, nullable
windowobject, nullable
window.endDatestring, nullable
window.startDatestring, nullable

Example

{
  "counts": {
    "fullyReturned": 125.5,
    "ineligible": 125.5,
    "lines": 125.5,
    "refundLines": 125.5
  },
  "countsStatus": "string",
  "lines": [
    {
      "actualPaidCommission": 125.5,
      "campaignId": "string",
      "cofundedCreatorBonus": {
        "actual": "string",
        "estimated": "string"
      },
      "commissionBase": {
        "actual": 125.5,
        "estimated": 125.5
      },
      "commissionDelta": 125.5,
      "commissionModel": "string",
      "commissionRate": 0.15,
      "commissionTierSetting": "string",
      "content": {
        "format": "string",
        "postedAt": "string",
        "url": "https://example.com/p/1",
        "viewCount": 125.5
      },
      "contentId": "string",
      "contentType": "string",
      "creatorUsername": "Example name",
      "currency": "usd",
      "deliveryTime": "string",
      "estimatedPaidCommission": 125.5,
      "fullyReturn": true,
      "gmvGross": 125.5,
      "openCollaborationId": "string",
      "orderCreateTime": "string",
      "orderId": "string",
      "paidPartnerCommission": {
        "actual": "string",
        "estimated": "string"
      },
      "paidShopAdsCommission": {
        "actual": "string",
        "estimated": "string"
      },
      "partnerCommissionRate": "string",
      "priceAmount": 125.5,
      "productId": "string",
      "productTitle": "string",
      "quantity": 125.5,
      "refund": true,
      "settlementFinal": true,
      "settlementStatus": "string",
      "shopAdsCommissionRate": "string",
      "skuId": "string",
      "targetCollaborationId": "string"
    }
  ],
  "nextCursor": "string",
  "settlementNote": "string",
  "sweptThrough": "string",
  "window": {
    "endDate": "string",
    "startDate": "string"
  }
}

Errors: 400401404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.